| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Slots | Signals | Public Member Functions | List of all members
Digikam::CoreDbCopyManager Class Reference
Inheritance diagram for Digikam::CoreDbCopyManager:

## Public Types
enum | FinishStates { success , failed , canceled }

## Public Slots
void | stopProcessing ()

## Signals
void | finished (int finishState, const QString &errorMsg)
void | smallStepStarted (int currValue, int maxValue)
void | stepStarted (const QString &stepName)

## Public Member Functions
void | copyDatabases (const DbEngineParameters &fromDBParameters, const DbEngineParameters &toDBParameters)